org.eclipse.actf.ui.util

## Class ProgressContribution

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.jface.action.ControlContribution
    - - org.eclipse.actf.ui.util.ProgressContribution

All Implemented Interfaces:
  IContributionItem

    public class ProgressContribution
    extends ControlContribution

A contribution item implementation for adding ProgressBar commonly used in ACTF.

See Also:
  `ControlContribution`, `ProgressBar`

### Field Summary

Fields
`static String` `PROGRESS_CONTRIBUTION_ID` Progress Contribution ID to share the contribution within ACTF

### Constructor Summary

Constructors
Constructor and Description
`ProgressContribution(String id)` Creates a control contribution item with the given id.

### Method Summary

Methods
`void` `setText(String text)` Set text as Label of contribution item
`void` `setValue(int percent)` Set percentage of progress

### Methods inherited from class org.eclipse.jface.action.ControlContribution

`fill, fill, fill`

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`dispose, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PROGRESS_CONTRIBUTION_ID

    public static final String PROGRESS_CONTRIBUTION_ID

Progress Contribution ID to share the contribution within ACTF

See Also:
  Constant Field Values

### Constructor Detail

#### ProgressContribution

    public ProgressContribution(String id)

Creates a control contribution item with the given id.

Parameters:
  `id` -

### Method Detail

#### setText

    public void setText(String text)

Set text as Label of contribution item

Parameters:
  `text` - target String

#### setValue

    public void setValue(int percent)

Set percentage of progress

Parameters:
  `percent` - target percentage value